package com.google.android.gms.common.api.internal;

import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.Api.zzb;
import com.google.android.gms.common.api.Api.zzc;
import com.google.android.gms.common.api.Api.zzd;
import com.google.android.gms.common.api.Api.zze;
import com.google.android.gms.common.api.GoogleApiClient;
import com.google.android.gms.common.api.GoogleApiClient.ConnectionCallbacks;
import com.google.android.gms.common.api.GoogleApiClient.OnConnectionFailedListener;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.Scope;
import com.google.android.gms.common.internal.zzan;
import com.google.android.gms.common.internal.zzbt;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.common.internal.zzt;
import com.google.android.gms.common.zzf;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import com.google.android.gms.internal.zzcyw;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Queue;
import java.util.Set;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Future;
import java.util.concurrent.locks.Lock;

public final class zzao
  implements zzbh
{
  private final zzbi zzfxd;
  private final Lock zzfwa;
  private final Context mContext;
  private final zzf zzfwk;
  private ConnectionResult zzfwt;
  private int zzfxg;
  private int zzfxh = 0;
  private int zzfxi;
  private final Bundle zzfxj = new Bundle();
  private final Set<Api.zzc> zzfxk = new HashSet();
  private zzcyj zzfxl;
  private boolean zzfxm;
  private boolean zzfxn;
  private boolean zzfxo;
  private zzan zzfxp;
  private boolean zzfxq;
  private boolean zzfxr;
  private final zzr zzfwf;
  private final Map<Api<?>, Boolean> zzfwi;
  private final Api.zza<? extends zzcyj, zzcyk> zzfth;
  private ArrayList<Future<?>> zzfxs = new ArrayList();
  
  public zzao(zzbi paramzzbi, zzr paramzzr, Map<Api<?>, Boolean> paramMap, zzf paramzzf, Api.zza<? extends zzcyj, zzcyk> paramzza, Lock paramLock, Context paramContext)
  {
    this.zzfxd = paramzzbi;
    this.zzfwf = paramzzr;
    this.zzfwi = paramMap;
    this.zzfwk = paramzzf;
    this.zzfth = paramzza;
    this.zzfwa = paramLock;
    this.mContext = paramContext;
  }
  
  public final void begin()
  {
    this.zzfxd.zzfyy.clear();
    this.zzfxn = false;
    this.zzfwt = null;
    this.zzfxh = 0;
    this.zzfxm = true;
    this.zzfxo = false;
    this.zzfxq = false;
    int i = 0;
    HashMap localHashMap = new HashMap();
    Object localObject = this.zzfwi.keySet().iterator();
    while (((Iterator)localObject).hasNext())
    {
      Api localApi = (Api)((Iterator)localObject).next();
      Api.zze localzze = (Api.zze)this.zzfxd.zzfyj.get(localApi.zzahm());
      i |= (localApi.zzahk().getPriority() == 1 ? 1 : 0);
      boolean bool = ((Boolean)this.zzfwi.get(localApi)).booleanValue();
      if (localzze.zzacc())
      {
        this.zzfxn = true;
        if (bool) {
          this.zzfxk.add(localApi.zzahm());
        } else {
          this.zzfxm = false;
        }
      }
      localHashMap.put(localzze, new zzaq(this, localApi, bool));
    }
    if (i != 0) {
      this.zzfxn = false;
    }
    if (this.zzfxn)
    {
      this.zzfwf.zzc(Integer.valueOf(System.identityHashCode(this.zzfxd.zzfvq)));
      localObject = new zzax(this, null);
      this.zzfxl = ((zzcyj)this.zzfth.zza(this.mContext, this.zzfxd.zzfvq.getLooper(), this.zzfwf, this.zzfwf.zzaml(), (GoogleApiClient.ConnectionCallbacks)localObject, (GoogleApiClient.OnConnectionFailedListener)localObject));
    }
    this.zzfxi = this.zzfxd.zzfyj.size();
    this.zzfxs.add(zzbl.zzajx().submit(new zzar(this, localHashMap)));
  }
  
  private final boolean zzajk()
  {
    this.zzfxi -= 1;
    if (this.zzfxi > 0) {
      return false;
    }
    if (this.zzfxi < 0)
    {
      Log.w("GoogleApiClientConnecting", this.zzfxd.zzfvq.zzaju());
      Log.wtf("GoogleApiClientConnecting", "GoogleApiClient received too many callbacks for the given step. Clients may be in an unexpected state; GoogleApiClient will now disconnect.", new Exception());
      zze(new ConnectionResult(8, null));
      return false;
    }
    if (this.zzfwt != null)
    {
      this.zzfxd.zzfzb = this.zzfxg;
      zze(this.zzfwt);
      return false;
    }
    return true;
  }
  
  private final void zza(zzcyw paramzzcyw)
  {
    if (!zzbs(0)) {
      return;
    }
    ConnectionResult localConnectionResult1;
    if ((localConnectionResult1 = paramzzcyw.zzain()).isSuccess())
    {
      zzbt localzzbt;
      ConnectionResult localConnectionResult2;
      if (!(localConnectionResult2 = (localzzbt = paramzzcyw.zzbfa()).zzain()).isSuccess())
      {
        String str = String.valueOf(localConnectionResult2);
        Log.wtf("GoogleApiClientConnecting", 48 + String.valueOf(str).length() + "Sign-in succeeded with resolve account failure: " + str, new Exception());
        zze(localConnectionResult2);
        return;
      }
      this.zzfxo = true;
      this.zzfxp = localzzbt.zzamy();
      this.zzfxq = localzzbt.zzamz();
      this.zzfxr = localzzbt.zzana();
      zzajl();
      return;
    }
    if (zzd(localConnectionResult1))
    {
      zzajn();
      zzajl();
      return;
    }
    zze(localConnectionResult1);
  }
  
  private final void zzajl()
  {
    if (this.zzfxi != 0) {
      return;
    }
    if ((!this.zzfxn) || (this.zzfxo))
    {
      zzao localzzao = this;
      ArrayList localArrayList = new ArrayList();
      localzzao.zzfxh = 1;
      localzzao.zzfxi = localzzao.zzfxd.zzfyj.size();
      Iterator localIterator = localzzao.zzfxd.zzfyj.keySet().iterator();
      while (localIterator.hasNext())
      {
        Api.zzc localzzc = (Api.zzc)localIterator.next();
        if (localzzao.zzfxd.zzfyy.containsKey(localzzc))
        {
          if (localzzao.zzajk()) {
            localzzao.zzajm();
          }
        }
        else {
          localArrayList.add((Api.zze)localzzao.zzfxd.zzfyj.get(localzzc));
        }
      }
      if (!localArrayList.isEmpty()) {
        localzzao.zzfxs.add(zzbl.zzajx().submit(new zzau(localzzao, localArrayList)));
      }
    }
  }
  
  public final void onConnected(Bundle paramBundle)
  {
    if (!zzbs(1)) {
      return;
    }
    if (paramBundle != null) {
      this.zzfxj.putAll(paramBundle);
    }
    if (zzajk()) {
      zzajm();
    }
  }
  
  public final void zza(ConnectionResult paramConnectionResult, Api<?> paramApi, boolean paramBoolean)
  {
    if (!zzbs(1)) {
      return;
    }
    zzb(paramConnectionResult, paramApi, paramBoolean);
    if (zzajk()) {
      zzajm();
    }
  }
  
  private final void zzajm()
  {
    this.zzfxd.zzajw();
    zzbl.zzajx().execute(new zzap(this));
    if (this.zzfxl != null)
    {
      if (this.zzfxq) {
        this.zzfxl.zza(this.zzfxp, this.zzfxr);
      }
      zzbk(false);
    }
    Object localObject = this.zzfxd.zzfyy.keySet().iterator();
    while (((Iterator)localObject).hasNext())
    {
      Api.zzc localzzc = (Api.zzc)((Iterator)localObject).next();
      ((Api.zze)this.zzfxd.zzfyj.get(localzzc)).disconnect();
    }
    localObject = this.zzfxj.isEmpty() ? null : this.zzfxj;
    this.zzfxd.zzfzc.zzk((Bundle)localObject);
  }
  
  public final <A extends Api.zzb, R extends Result, T extends zzm<R, A>> T zzd(T paramT)
  {
    this.zzfxd.zzfvq.zzfwo.add(paramT);
    return paramT;
  }
  
  public final <A extends Api.zzb, T extends zzm<? extends Result, A>> T zze(T paramT)
  {
    throw new IllegalStateException("GoogleApiClient is not connected yet.");
  }
  
  public final void connect() {}
  
  public final boolean disconnect()
  {
    zzajo();
    zzbk(true);
    this.zzfxd.zzg(null);
    return true;
  }
  
  public final void onConnectionSuspended(int paramInt)
  {
    zze(new ConnectionResult(8, null));
  }
  
  private final void zzb(ConnectionResult paramConnectionResult, Api<?> paramApi, boolean paramBoolean)
  {
    int i = paramApi.zzahk().getPriority();
    ConnectionResult localConnectionResult1 = paramConnectionResult;
    boolean bool = paramBoolean;
    int j = i;
    zzao localzzao1 = this;
    if (bool)
    {
      ConnectionResult localConnectionResult2 = localConnectionResult1;
      zzao localzzao2 = localzzao1;
      if ((localzzao2.zzfwk.zzbo(localConnectionResult2.getErrorCode()) != null ? 1 : localConnectionResult2.hasResolution() ? 1 : 0) == 0) {
        break label93;
      }
    }
    label93:
    if (((localzzao1.zzfwt == null) || (j < localzzao1.zzfxg) ? 1 : 0) != 0)
    {
      this.zzfwt = paramConnectionResult;
      this.zzfxg = i;
    }
    this.zzfxd.zzfyy.put(paramApi.zzahm(), paramConnectionResult);
  }
  
  private final void zzajn()
  {
    this.zzfxn = false;
    this.zzfxd.zzfvq.zzfyk = Collections.emptySet();
    Iterator localIterator = this.zzfxk.iterator();
    while (localIterator.hasNext())
    {
      Api.zzc localzzc = (Api.zzc)localIterator.next();
      if (!this.zzfxd.zzfyy.containsKey(localzzc)) {
        this.zzfxd.zzfyy.put(localzzc, new ConnectionResult(17, null));
      }
    }
  }
  
  private final boolean zzd(ConnectionResult paramConnectionResult)
  {
    return (this.zzfxm) && (!paramConnectionResult.hasResolution());
  }
  
  private final void zze(ConnectionResult paramConnectionResult)
  {
    zzajo();
    zzbk(!paramConnectionResult.hasResolution());
    this.zzfxd.zzg(paramConnectionResult);
    this.zzfxd.zzfzc.zzc(paramConnectionResult);
  }
  
  private final void zzbk(boolean paramBoolean)
  {
    if (this.zzfxl != null)
    {
      if ((this.zzfxl.isConnected()) && (paramBoolean)) {
        this.zzfxl.zzbet();
      }
      this.zzfxl.disconnect();
      this.zzfxp = null;
    }
  }
  
  private final void zzajo()
  {
    ArrayList localArrayList;
    int i = (localArrayList = (ArrayList)this.zzfxs).size();
    int j = 0;
    ((Future)???++).cancel(true);
    this.zzfxs.clear();
  }
  
  private final Set<Scope> zzajp()
  {
    if (this.zzfwf == null) {
      return Collections.emptySet();
    }
    HashSet localHashSet = new HashSet(this.zzfwf.zzamf());
    Map localMap;
    Iterator localIterator = (localMap = this.zzfwf.zzamh()).keySet().iterator();
    while (localIterator.hasNext())
    {
      Api localApi = (Api)localIterator.next();
      if (!this.zzfxd.zzfyy.containsKey(localApi.zzahm())) {
        localHashSet.addAll(((zzt)localMap.get(localApi)).zzenh);
      }
    }
    return localHashSet;
  }
  
  private final boolean zzbs(int paramInt)
  {
    if (this.zzfxh != paramInt)
    {
      Log.w("GoogleApiClientConnecting", this.zzfxd.zzfvq.zzaju());
      String str1 = String.valueOf(this);
      Log.w("GoogleApiClientConnecting", 23 + String.valueOf(str1).length() + "Unexpected callback in " + str1);
      int i = this.zzfxi;
      Log.w("GoogleApiClientConnecting", 33 + "mRemainingConnections=" + i);
      String str2 = zzbt(this.zzfxh);
      String str3 = zzbt(paramInt);
      Log.wtf("GoogleApiClientConnecting", 70 + String.valueOf(str2).length() + String.valueOf(str3).length() + "GoogleApiClient connecting is in step " + str2 + " but received callback for step " + str3, new Exception());
      zze(new ConnectionResult(8, null));
      return false;
    }
    return true;
  }
  
  private static String zzbt(int paramInt)
  {
    switch (paramInt)
    {
    case 0: 
      return "STEP_SERVICE_BINDINGS_AND_SIGN_IN";
    case 1: 
      return "STEP_GETTING_REMOTE_SERVICE";
    }
    return "UNKNOWN";
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzao.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */