package com.google.android.gms.common.api.internal;

import android.app.PendingIntent;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.util.ArrayMap;
import android.util.Log;
import com.google.android.gms.common.ConnectionResult;
import com.google.android.gms.common.api.Api;
import com.google.android.gms.common.api.Api.zza;
import com.google.android.gms.common.api.Api.zzb;
import com.google.android.gms.common.api.Api.zzc;
import com.google.android.gms.common.api.Api.zze;
import com.google.android.gms.common.api.Result;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.internal.zzbq;
import com.google.android.gms.common.internal.zzr;
import com.google.android.gms.common.zzf;
import com.google.android.gms.internal.zzcyj;
import com.google.android.gms.internal.zzcyk;
import java.io.FileDescriptor;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;
import java.util.WeakHashMap;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Lock;

final class zzv
  implements zzcc
{
  private final Context mContext;
  private final zzba zzfvq;
  private final Looper zzalj;
  private final zzbi zzfvr;
  private final zzbi zzfvs;
  private final Map<Api.zzc<?>, zzbi> zzfvt;
  private final Set<zzcu> zzfvu = Collections.newSetFromMap(new WeakHashMap());
  private final Api.zze zzfvv;
  private Bundle zzfvw;
  private ConnectionResult zzfvx = null;
  private ConnectionResult zzfvy = null;
  private boolean zzfvz = false;
  private final Lock zzfwa;
  private int zzfwb = 0;
  
  public static zzv zza(Context paramContext, zzba paramzzba, Lock paramLock, Looper paramLooper, zzf paramzzf, Map<Api.zzc<?>, Api.zze> paramMap, zzr paramzzr, Map<Api<?>, Boolean> paramMap1, Api.zza<? extends zzcyj, zzcyk> paramzza, ArrayList<zzt> paramArrayList)
  {
    Object localObject1 = null;
    ArrayMap localArrayMap1 = new ArrayMap();
    ArrayMap localArrayMap2 = new ArrayMap();
    Object localObject2 = paramMap.entrySet().iterator();
    while (((Iterator)localObject2).hasNext())
    {
      if ((localObject4 = (Api.zze)(localObject3 = (Map.Entry)((Iterator)localObject2).next()).getValue()).zzacn()) {
        localObject1 = localObject4;
      }
      if (((Api.zze)localObject4).zzacc()) {
        localArrayMap1.put((Api.zzc)((Map.Entry)localObject3).getKey(), localObject4);
      } else {
        localArrayMap2.put((Api.zzc)((Map.Entry)localObject3).getKey(), localObject4);
      }
    }
    zzbq.zza(!localArrayMap1.isEmpty(), "CompositeGoogleApiClient should not be used without any APIs that require sign-in.");
    localObject2 = new ArrayMap();
    Object localObject3 = new ArrayMap();
    Object localObject4 = paramMap1.keySet().iterator();
    while (((Iterator)localObject4).hasNext())
    {
      Api.zzc localzzc = (localObject5 = (Api)((Iterator)localObject4).next()).zzahm();
      if (localArrayMap1.containsKey(localzzc)) {
        ((Map)localObject2).put(localObject5, (Boolean)paramMap1.get(localObject5));
      } else if (localArrayMap2.containsKey(localzzc)) {
        ((Map)localObject3).put(localObject5, (Boolean)paramMap1.get(localObject5));
      } else {
        throw new IllegalStateException("Each API in the isOptionalMap must have a corresponding client in the clients map.");
      }
    }
    localObject4 = new ArrayList();
    Object localObject5 = new ArrayList();
    ArrayList localArrayList;
    int i = (localArrayList = (ArrayList)paramArrayList).size();
    int j = 0;
    while (j < i)
    {
      zzt localzzt = (zzt)???++;
      ((ArrayList)localObject4).add(localzzt);
      if (((Map)localObject3).containsKey(localzzt.zzfop)) {
        ((ArrayList)localObject5).add(localzzt);
      } else {
        throw new IllegalStateException("Each ClientCallbacks must have a corresponding API in the isOptionalMap");
      }
    }
    return new zzv(paramContext, paramzzba, paramLock, paramLooper, paramzzf, localArrayMap1, localArrayMap2, paramzzr, paramzza, (Api.zze)localObject1, (ArrayList)localObject4, (ArrayList)localObject5, (Map)localObject2, (Map)localObject3);
  }
  
  private zzv(Context paramContext, zzba paramzzba, Lock paramLock, Looper paramLooper, zzf paramzzf, Map<Api.zzc<?>, Api.zze> paramMap1, Map<Api.zzc<?>, Api.zze> paramMap2, zzr paramzzr, Api.zza<? extends zzcyj, zzcyk> paramzza, Api.zze paramzze, ArrayList<zzt> paramArrayList1, ArrayList<zzt> paramArrayList2, Map<Api<?>, Boolean> paramMap3, Map<Api<?>, Boolean> paramMap4)
  {
    this.mContext = paramContext;
    this.zzfvq = paramzzba;
    this.zzfwa = paramLock;
    this.zzalj = paramLooper;
    this.zzfvv = paramzze;
    this.zzfvr = new zzbi(paramContext, this.zzfvq, paramLock, paramLooper, paramzzf, paramMap2, null, paramMap4, null, paramArrayList2, new zzx(this, null));
    this.zzfvs = new zzbi(paramContext, this.zzfvq, paramLock, paramLooper, paramzzf, paramMap1, paramzzr, paramMap3, paramzza, paramArrayList1, new zzy(this, null));
    ArrayMap localArrayMap = new ArrayMap();
    Iterator localIterator = paramMap2.keySet().iterator();
    Api.zzc localzzc;
    while (localIterator.hasNext())
    {
      localzzc = (Api.zzc)localIterator.next();
      localArrayMap.put(localzzc, this.zzfvr);
    }
    localIterator = paramMap1.keySet().iterator();
    while (localIterator.hasNext())
    {
      localzzc = (Api.zzc)localIterator.next();
      localArrayMap.put(localzzc, this.zzfvs);
    }
    this.zzfvt = Collections.unmodifiableMap(localArrayMap);
  }
  
  public final <A extends Api.zzb, R extends Result, T extends zzm<R, A>> T zzd(@NonNull T paramT)
  {
    if (zzf(paramT))
    {
      if (zzaiv())
      {
        paramT.zzu(new Status(4, null, zzaiw()));
        return paramT;
      }
      return this.zzfvs.zzd(paramT);
    }
    return this.zzfvr.zzd(paramT);
  }
  
  public final <A extends Api.zzb, T extends zzm<? extends Result, A>> T zze(@NonNull T paramT)
  {
    if (zzf(paramT))
    {
      if (zzaiv())
      {
        paramT.zzu(new Status(4, null, zzaiw()));
        return paramT;
      }
      return this.zzfvs.zze(paramT);
    }
    return this.zzfvr.zze(paramT);
  }
  
  @Nullable
  public final ConnectionResult getConnectionResult(@NonNull Api<?> paramApi)
  {
    if (((zzbi)this.zzfvt.get(paramApi.zzahm())).equals(this.zzfvs))
    {
      if (zzaiv()) {
        return new ConnectionResult(4, zzaiw());
      }
      return this.zzfvs.getConnectionResult(paramApi);
    }
    return this.zzfvr.getConnectionResult(paramApi);
  }
  
  public final void connect()
  {
    this.zzfwb = 2;
    this.zzfvz = false;
    zzv localzzv = this;
    this.zzfvy = null;
    localzzv.zzfvx = null;
    localzzv.zzfvr.connect();
    localzzv.zzfvs.connect();
  }
  
  public final ConnectionResult blockingConnect()
  {
    throw new UnsupportedOperationException();
  }
  
  public final ConnectionResult blockingConnect(long paramLong, @NonNull TimeUnit paramTimeUnit)
  {
    throw new UnsupportedOperationException();
  }
  
  public final void disconnect()
  {
    this.zzfvy = null;
    this.zzfvx = null;
    this.zzfwb = 0;
    this.zzfvr.disconnect();
    this.zzfvs.disconnect();
    zzaiu();
  }
  
  public final boolean isConnected()
  {
    this.zzfwa.lock();
    try
    {
      boolean bool = (this.zzfvr.isConnected()) && ((this.zzfvs.isConnected()) || (zzaiv()) || (this.zzfwb == 1));
      return bool;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  public final boolean isConnecting()
  {
    this.zzfwa.lock();
    try
    {
      boolean bool = this.zzfwb == 2;
      return bool;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  /* Error */
  public final boolean zza(zzcu paramzzcu)
  {
    // Byte code:
    //   0: aload_0
    //   1: getfield 75	com/google/android/gms/common/api/internal/zzv:zzfwa	Ljava/util/concurrent/locks/Lock;
    //   4: invokeinterface 156 1 0
    //   9: aload_0
    //   10: invokevirtual 106	com/google/android/gms/common/api/internal/zzv:isConnecting	()Z
    //   13: ifne +10 -> 23
    //   16: aload_0
    //   17: invokevirtual 105	com/google/android/gms/common/api/internal/zzv:isConnected	()Z
    //   20: ifeq +59 -> 79
    //   23: aload_0
    //   24: getfield 67	com/google/android/gms/common/api/internal/zzv:zzfvs	Lcom/google/android/gms/common/api/internal/zzbi;
    //   27: invokevirtual 98	com/google/android/gms/common/api/internal/zzbi:isConnected	()Z
    //   30: ifne +49 -> 79
    //   33: aload_0
    //   34: getfield 69	com/google/android/gms/common/api/internal/zzv:zzfvu	Ljava/util/Set;
    //   37: aload_1
    //   38: invokeinterface 153 2 0
    //   43: pop
    //   44: aload_0
    //   45: getfield 76	com/google/android/gms/common/api/internal/zzv:zzfwb	I
    //   48: ifne +8 -> 56
    //   51: aload_0
    //   52: iconst_1
    //   53: putfield 76	com/google/android/gms/common/api/internal/zzv:zzfwb	I
    //   56: aload_0
    //   57: aconst_null
    //   58: putfield 73	com/google/android/gms/common/api/internal/zzv:zzfvy	Lcom/google/android/gms/common/ConnectionResult;
    //   61: aload_0
    //   62: getfield 67	com/google/android/gms/common/api/internal/zzv:zzfvs	Lcom/google/android/gms/common/api/internal/zzbi;
    //   65: invokevirtual 94	com/google/android/gms/common/api/internal/zzbi:connect	()V
    //   68: aload_0
    //   69: getfield 75	com/google/android/gms/common/api/internal/zzv:zzfwa	Ljava/util/concurrent/locks/Lock;
    //   72: invokeinterface 157 1 0
    //   77: iconst_1
    //   78: ireturn
    //   79: aload_0
    //   80: getfield 75	com/google/android/gms/common/api/internal/zzv:zzfwa	Ljava/util/concurrent/locks/Lock;
    //   83: invokeinterface 157 1 0
    //   88: goto +15 -> 103
    //   91: astore_2
    //   92: aload_0
    //   93: getfield 75	com/google/android/gms/common/api/internal/zzv:zzfwa	Ljava/util/concurrent/locks/Lock;
    //   96: invokeinterface 157 1 0
    //   101: aload_2
    //   102: athrow
    //   103: iconst_0
    //   104: ireturn
    // Local variable table:
    //   start	length	slot	name	signature
    //   0	105	0	this	zzv
    //   0	105	1	paramzzcu	zzcu
    //   91	11	2	localObject	Object
    // Exception table:
    //   from	to	target	type
    //   9	68	91	finally
  }
  
  public final void zzais()
  {
    this.zzfvr.zzais();
    this.zzfvs.zzais();
  }
  
  public final void zzaia()
  {
    this.zzfwa.lock();
    try
    {
      boolean bool = isConnecting();
      this.zzfvs.disconnect();
      this.zzfvy = new ConnectionResult(4);
      if (bool) {
        new Handler(this.zzalj).post(new zzw(this));
      } else {
        zzaiu();
      }
      return;
    }
    finally
    {
      this.zzfwa.unlock();
    }
  }
  
  private final void zzait()
  {
    if (zzb(this.zzfvx))
    {
      if ((zzb(this.zzfvy)) || (zzaiv()))
      {
        zzv localzzv = this;
        switch (this.zzfwb)
        {
        case 2: 
          localzzv.zzfvq.zzk(localzzv.zzfvw);
        case 1: 
          localzzv.zzaiu();
          break;
        default: 
          Log.wtf("CompositeGAC", "Attempted to call success callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new AssertionError());
        }
        localzzv.zzfwb = 0;
        return;
      }
      if (this.zzfvy != null)
      {
        if (this.zzfwb == 1)
        {
          zzaiu();
          return;
        }
        zza(this.zzfvy);
        this.zzfvr.disconnect();
      }
    }
    else
    {
      if ((this.zzfvx != null) && (zzb(this.zzfvy)))
      {
        this.zzfvs.disconnect();
        zza(this.zzfvx);
        return;
      }
      if ((this.zzfvx != null) && (this.zzfvy != null))
      {
        ConnectionResult localConnectionResult = this.zzfvx;
        if (this.zzfvs.zzfzb < this.zzfvr.zzfzb) {
          localConnectionResult = this.zzfvy;
        }
        zza(localConnectionResult);
      }
    }
  }
  
  private final void zza(ConnectionResult paramConnectionResult)
  {
    switch (this.zzfwb)
    {
    case 2: 
      this.zzfvq.zzc(paramConnectionResult);
    case 1: 
      zzaiu();
      break;
    default: 
      Log.wtf("CompositeGAC", "Attempted to call failure callbacks in CONNECTION_MODE_NONE. Callbacks should be disabled via GmsClientSupervisor", new Exception());
    }
    this.zzfwb = 0;
  }
  
  private final void zzaiu()
  {
    Iterator localIterator = this.zzfvu.iterator();
    while (localIterator.hasNext()) {
      ((zzcu)localIterator.next()).zzacm();
    }
    this.zzfvu.clear();
  }
  
  private final void zze(int paramInt, boolean paramBoolean)
  {
    this.zzfvq.zzf(paramInt, paramBoolean);
    this.zzfvy = null;
    this.zzfvx = null;
  }
  
  private final boolean zzaiv()
  {
    return (this.zzfvy != null) && (this.zzfvy.getErrorCode() == 4);
  }
  
  private final boolean zzf(zzm<? extends Result, ? extends Api.zzb> paramzzm)
  {
    Api.zzc localzzc = paramzzm.zzahm();
    zzbq.checkArgument(this.zzfvt.containsKey(localzzc), "GoogleApiClient is not configured to use the API required for this call.");
    return ((zzbi)this.zzfvt.get(localzzc)).equals(this.zzfvs);
  }
  
  @Nullable
  private final PendingIntent zzaiw()
  {
    if (this.zzfvv == null) {
      return null;
    }
    return PendingIntent.getActivity(this.mContext, System.identityHashCode(this.zzfvq), this.zzfvv.getSignInIntent(), 134217728);
  }
  
  private final void zzj(Bundle paramBundle)
  {
    if (this.zzfvw == null)
    {
      this.zzfvw = paramBundle;
      return;
    }
    if (paramBundle != null) {
      this.zzfvw.putAll(paramBundle);
    }
  }
  
  private static boolean zzb(ConnectionResult paramConnectionResult)
  {
    return (paramConnectionResult != null) && (paramConnectionResult.isSuccess());
  }
  
  public final void dump(String paramString, FileDescriptor paramFileDescriptor, PrintWriter paramPrintWriter, String[] paramArrayOfString)
  {
    paramPrintWriter.append(paramString).append("authClient").println(":");
    this.zzfvs.dump(String.valueOf(paramString).concat("  "), paramFileDescriptor, paramPrintWriter, paramArrayOfString);
    paramPrintWriter.append(paramString).append("anonClient").println(":");
    this.zzfvr.dump(String.valueOf(paramString).concat("  "), paramFileDescriptor, paramPrintWriter, paramArrayOfString);
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\common\api\internal\zzv.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */