package com.google.android.gms.internal;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.Drawable.Callback;
import android.graphics.drawable.Drawable.ConstantState;
import android.os.SystemClock;

public final class zzbge
  extends Drawable
  implements Drawable.Callback
{
  private int zzgdy = 0;
  private long zzebf;
  private int mFrom;
  private int zzgdz;
  private int zzgea = 255;
  private int zzgeb;
  private int mAlpha = 0;
  private boolean zzgdt = true;
  private boolean zzgec;
  private zzbgi zzged;
  private Drawable zzgee;
  private Drawable zzgef;
  private boolean zzgeg;
  private boolean zzgeh;
  private boolean zzgei;
  private int zzgej;
  
  public zzbge(Drawable paramDrawable1, Drawable paramDrawable2)
  {
    this(null);
    if (paramDrawable1 == null) {
      paramDrawable1 = zzbgg.zzalo();
    }
    this.zzgee = paramDrawable1;
    paramDrawable1.setCallback(this);
    this.zzged.zzgem |= paramDrawable1.getChangingConfigurations();
    if (paramDrawable2 == null) {
      paramDrawable2 = zzbgg.zzalo();
    }
    this.zzgef = paramDrawable2;
    paramDrawable2.setCallback(this);
    this.zzged.zzgem |= paramDrawable2.getChangingConfigurations();
  }
  
  zzbge(zzbgi paramzzbgi)
  {
    this.zzged = new zzbgi(paramzzbgi);
  }
  
  public final void invalidateDrawable(Drawable paramDrawable)
  {
    Drawable.Callback localCallback;
    if ((localCallback = getCallback()) != null) {
      localCallback.invalidateDrawable(this);
    }
  }
  
  public final void scheduleDrawable(Drawable paramDrawable, Runnable paramRunnable, long paramLong)
  {
    Drawable.Callback localCallback;
    if ((localCallback = getCallback()) != null) {
      localCallback.scheduleDrawable(this, paramRunnable, paramLong);
    }
  }
  
  public final void unscheduleDrawable(Drawable paramDrawable, Runnable paramRunnable)
  {
    Drawable.Callback localCallback;
    if ((localCallback = getCallback()) != null) {
      localCallback.unscheduleDrawable(this, paramRunnable);
    }
  }
  
  public final int getChangingConfigurations()
  {
    return super.getChangingConfigurations() | this.zzged.mChangingConfigurations | this.zzged.zzgem;
  }
  
  public final void setAlpha(int paramInt)
  {
    if (this.mAlpha == this.zzgea) {
      this.mAlpha = paramInt;
    }
    this.zzgea = paramInt;
    invalidateSelf();
  }
  
  public final void setColorFilter(ColorFilter paramColorFilter)
  {
    this.zzgee.setColorFilter(paramColorFilter);
    this.zzgef.setColorFilter(paramColorFilter);
  }
  
  public final int getIntrinsicWidth()
  {
    return Math.max(this.zzgee.getIntrinsicWidth(), this.zzgef.getIntrinsicWidth());
  }
  
  public final int getIntrinsicHeight()
  {
    return Math.max(this.zzgee.getIntrinsicHeight(), this.zzgef.getIntrinsicHeight());
  }
  
  protected final void onBoundsChange(Rect paramRect)
  {
    this.zzgee.setBounds(paramRect);
    this.zzgef.setBounds(paramRect);
  }
  
  public final Drawable.ConstantState getConstantState()
  {
    if (canConstantState())
    {
      this.zzged.mChangingConfigurations = getChangingConfigurations();
      return this.zzged;
    }
    return null;
  }
  
  public final int getOpacity()
  {
    if (!this.zzgei)
    {
      this.zzgej = Drawable.resolveOpacity(this.zzgee.getOpacity(), this.zzgef.getOpacity());
      this.zzgei = true;
    }
    return this.zzgej;
  }
  
  private final boolean canConstantState()
  {
    if (!this.zzgeg)
    {
      this.zzgeh = ((this.zzgee.getConstantState() != null) && (this.zzgef.getConstantState() != null));
      this.zzgeg = true;
    }
    return this.zzgeh;
  }
  
  public final Drawable mutate()
  {
    if ((!this.zzgec) && (super.mutate() == this))
    {
      if (!canConstantState()) {
        throw new IllegalStateException("One or more children of this LayerDrawable does not have constant state; this drawable cannot be mutated.");
      }
      this.zzgee.mutate();
      this.zzgef.mutate();
      this.zzgec = true;
    }
    return this;
  }
  
  public final Drawable zzaln()
  {
    return this.zzgef;
  }
  
  public final void startTransition(int paramInt)
  {
    this.mFrom = 0;
    this.zzgdz = this.zzgea;
    this.mAlpha = 0;
    this.zzgeb = 250;
    this.zzgdy = 1;
    invalidateSelf();
  }
  
  public final void draw(Canvas paramCanvas)
  {
    int i = 1;
    switch (this.zzgdy)
    {
    case 1: 
      this.zzebf = SystemClock.uptimeMillis();
      i = 0;
      this.zzgdy = 2;
      break;
    case 2: 
      if (this.zzebf >= 0L)
      {
        if ((i = (f = (float)(SystemClock.uptimeMillis() - this.zzebf) / this.zzgeb) >= 1.0F ? 1 : 0) != 0) {
          this.zzgdy = 0;
        }
        float f = Math.min(f, 1.0F);
        this.mAlpha = ((int)(0.0F + this.zzgdz * f));
      }
      break;
    }
    int j = this.mAlpha;
    boolean bool = this.zzgdt;
    Drawable localDrawable1 = this.zzgee;
    Drawable localDrawable2 = this.zzgef;
    if (i != 0)
    {
      if ((!bool) || (j == 0)) {
        localDrawable1.draw(paramCanvas);
      }
      if (j == this.zzgea)
      {
        localDrawable2.setAlpha(this.zzgea);
        localDrawable2.draw(paramCanvas);
      }
      return;
    }
    if (bool) {
      localDrawable1.setAlpha(this.zzgea - j);
    }
    localDrawable1.draw(paramCanvas);
    if (bool) {
      localDrawable1.setAlpha(this.zzgea);
    }
    if (j > 0)
    {
      localDrawable2.setAlpha(j);
      localDrawable2.draw(paramCanvas);
      localDrawable2.setAlpha(this.zzgea);
    }
    invalidateSelf();
  }
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\internal\zzbge.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */