package com.google.android.gms.phenotype;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import android.util.Base64;
import com.google.android.gms.common.annotation.KeepForSdk;
import com.google.android.gms.internal.zzbgl;
import com.google.android.gms.internal.zzbgo;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@KeepForSdk
public class ExperimentTokens
  extends zzbgl
{
  @KeepForSdk
  public static final Parcelable.Creator<ExperimentTokens> CREATOR = new zzh();
  private static byte[][] zzfpb = new byte[0][];
  private static ExperimentTokens zzkfz = new ExperimentTokens("", null, zzfpb, zzfpb, zzfpb, zzfpb, null, null);
  private String zzkga;
  private byte[] zzkgb;
  private byte[][] zzkgc;
  private byte[][] zzkgd;
  private byte[][] zzkge;
  private byte[][] zzkgf;
  private int[] zzkgg;
  private byte[][] zzkgh;
  private static final zza zzkgi = new zzd();
  private static final zza zzkgj = new zze();
  private static final zza zzkgk = new zzf();
  private static final zza zzkgl = new zzg();
  
  public ExperimentTokens(String paramString, byte[] paramArrayOfByte, byte[][] paramArrayOfByte1, byte[][] paramArrayOfByte2, byte[][] paramArrayOfByte3, byte[][] paramArrayOfByte4, int[] paramArrayOfInt, byte[][] paramArrayOfByte5)
  {
    this.zzkga = paramString;
    this.zzkgb = paramArrayOfByte;
    this.zzkgc = paramArrayOfByte1;
    this.zzkgd = paramArrayOfByte2;
    this.zzkge = paramArrayOfByte3;
    this.zzkgf = paramArrayOfByte4;
    this.zzkgg = paramArrayOfInt;
    this.zzkgh = paramArrayOfByte5;
  }
  
  public String toString()
  {
    StringBuilder localStringBuilder1;
    (localStringBuilder1 = new StringBuilder("ExperimentTokens")).append("(");
    String str1 = this.zzkga;
    localStringBuilder1.append(2 + String.valueOf(str1).length() + "'" + str1 + "'");
    localStringBuilder1.append(", ");
    byte[] arrayOfByte = this.zzkgb;
    String str2 = "direct";
    StringBuilder localStringBuilder2;
    (localStringBuilder2 = localStringBuilder1).append(str2);
    localStringBuilder2.append("=");
    if (arrayOfByte == null)
    {
      localStringBuilder2.append("null");
    }
    else
    {
      localStringBuilder2.append("'");
      localStringBuilder2.append(Base64.encodeToString(arrayOfByte, 3));
      localStringBuilder2.append("'");
    }
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "GAIA", this.zzkgc);
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "PSEUDO", this.zzkgd);
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "ALWAYS", this.zzkge);
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "OTHER", this.zzkgf);
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "weak", this.zzkgg);
    localStringBuilder1.append(", ");
    zza(localStringBuilder1, "directs", this.zzkgh);
    localStringBuilder1.append(")");
    return localStringBuilder1.toString();
  }
  
  private static void zza(StringBuilder paramStringBuilder, String paramString, byte[][] paramArrayOfByte)
  {
    paramStringBuilder.append(paramString);
    paramStringBuilder.append("=");
    if (paramArrayOfByte == null)
    {
      paramStringBuilder.append("null");
      return;
    }
    int i = 1;
    paramStringBuilder.append("(");
    byte[][] arrayOfByte;
    int j = (arrayOfByte = paramArrayOfByte).length;
    for (int k = 0; k < j; k++)
    {
      byte[] arrayOfByte1 = arrayOfByte[k];
      if (i == 0) {
        paramStringBuilder.append(", ");
      }
      i = 0;
      paramStringBuilder.append("'");
      paramStringBuilder.append(Base64.encodeToString(arrayOfByte1, 3));
      paramStringBuilder.append("'");
    }
    paramStringBuilder.append(")");
  }
  
  private static void zza(StringBuilder paramStringBuilder, String paramString, int[] paramArrayOfInt)
  {
    paramStringBuilder.append(paramString);
    paramStringBuilder.append("=");
    if (paramArrayOfInt == null)
    {
      paramStringBuilder.append("null");
      return;
    }
    int i = 1;
    paramStringBuilder.append("(");
    int[] arrayOfInt;
    int j = (arrayOfInt = paramArrayOfInt).length;
    for (int k = 0; k < j; k++)
    {
      int m = arrayOfInt[k];
      if (i == 0) {
        paramStringBuilder.append(", ");
      }
      i = 0;
      paramStringBuilder.append(m);
    }
    paramStringBuilder.append(")");
  }
  
  public boolean equals(Object paramObject)
  {
    if ((paramObject instanceof ExperimentTokens))
    {
      ExperimentTokens localExperimentTokens = (ExperimentTokens)paramObject;
      return (zzn.equals(this.zzkga, localExperimentTokens.zzkga)) && (Arrays.equals(this.zzkgb, localExperimentTokens.zzkgb)) && (zzn.equals(zzb(this.zzkgc), zzb(localExperimentTokens.zzkgc))) && (zzn.equals(zzb(this.zzkgd), zzb(localExperimentTokens.zzkgd))) && (zzn.equals(zzb(this.zzkge), zzb(localExperimentTokens.zzkge))) && (zzn.equals(zzb(this.zzkgf), zzb(localExperimentTokens.zzkgf))) && (zzn.equals(zzd(this.zzkgg), zzd(localExperimentTokens.zzkgg))) && (zzn.equals(zzb(this.zzkgh), zzb(localExperimentTokens.zzkgh)));
    }
    return false;
  }
  
  private static List<String> zzb(byte[][] paramArrayOfByte)
  {
    if (paramArrayOfByte == null) {
      return Collections.emptyList();
    }
    ArrayList localArrayList = new ArrayList(paramArrayOfByte.length);
    byte[][] arrayOfByte = paramArrayOfByte;
    int i = paramArrayOfByte.length;
    for (int j = 0; j < i; j++)
    {
      byte[] arrayOfByte1 = arrayOfByte[j];
      localArrayList.add(Base64.encodeToString(arrayOfByte1, 3));
    }
    Collections.sort(localArrayList);
    return localArrayList;
  }
  
  private static List<Integer> zzd(int[] paramArrayOfInt)
  {
    if (paramArrayOfInt == null) {
      return Collections.emptyList();
    }
    ArrayList localArrayList = new ArrayList(paramArrayOfInt.length);
    int[] arrayOfInt = paramArrayOfInt;
    int i = paramArrayOfInt.length;
    for (int j = 0; j < i; j++)
    {
      int k = arrayOfInt[j];
      localArrayList.add(Integer.valueOf(k));
    }
    Collections.sort(localArrayList);
    return localArrayList;
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    Parcel localParcel = paramParcel;
    ExperimentTokens localExperimentTokens = this;
    int i = zzbgo.zze(localParcel);
    zzbgo.zza(localParcel, 2, localExperimentTokens.zzkga, false);
    zzbgo.zza(localParcel, 3, localExperimentTokens.zzkgb, false);
    zzbgo.zza(localParcel, 4, localExperimentTokens.zzkgc, false);
    zzbgo.zza(localParcel, 5, localExperimentTokens.zzkgd, false);
    zzbgo.zza(localParcel, 6, localExperimentTokens.zzkge, false);
    zzbgo.zza(localParcel, 7, localExperimentTokens.zzkgf, false);
    zzbgo.zza(localParcel, 8, localExperimentTokens.zzkgg, false);
    zzbgo.zza(localParcel, 9, localExperimentTokens.zzkgh, false);
    zzbgo.zzai(localParcel, i);
  }
  
  static abstract interface zza {}
}


/* Location:              C:\Users\nsubhash\Downloads\google-play-services-base.jar!\com\google\android\gms\phenotype\ExperimentTokens.class
 * Java compiler version: 7 (51.0)
 * JD-Core Version:       0.7.1
 */